package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;

/**
 * 存储卷和Mdisk关联关系
 */
@Table("mdisk_volume")
public class MdiskVolume {

    @PK(value = PKStrategy.AUTO)
    private Long id; //
    @Column("volume_id")
    private Long volumeId; // 存储卷
    @Column("mdisk_id")
    private Long mdiskId; // mdisk

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getVolumeId() {
        return volumeId;
    }

    public void setVolumeId(Long volumeId) {
        this.volumeId = volumeId;
    }

    public Long getMdiskId() {
        return mdiskId;
    }

    public void setMdiskId(Long mdiskId) {
        this.mdiskId = mdiskId;
    }
}
